// Author: kwalsh@holycross.edu

#ifndef LED_H
#define LED_H

#include <sys/alt_stdio.h>
#include <sys/alt_sys_wrappers.h>
#include <altera_avalon_pio_regs.h>
#include <io.h>
#include <system.h>


#define led_set(x) (IOWR_ALTERA_AVALON_PIO_DATA(PIO_LED_BASE, x))

#define led_off() led_set(0x00)
#define led_on()  led_set(0xff)

void led_hold(unsigned int x, unsigned int delay);
void led_progressbar();
void led_blink();
void led_fire();
void led_bounce();


#endif // LED_H
