// Author: kwalsh@holycross.edu

#include "led.h"

void led_hold(unsigned int x, unsigned int delay) {
  led_set(x);
  usleep(delay);
}

void led_progressbar() {
  led_hold(0x01, 50000);
  led_hold(0x03, 50000);
  led_hold(0x07, 50000);
  led_hold(0x0F, 50000);
  led_hold(0x1F, 50000);
  led_hold(0x3F, 50000);
  led_hold(0x7F, 50000);
  led_hold(0xFF, 50000);
  led_off();
}

void led_blink() {
  led_hold(0x18, 60000);
  led_hold(0x3C, 60000);
  led_hold(0x7E, 60000);
  led_hold(0xFF, 60000);
  led_hold(0xE7, 60000);
  led_hold(0xC3, 60000);
  led_hold(0x81, 60000);
  led_off();
}

void led_fire() {
  led_hold(0x01, 50000);
  led_hold(0x02, 50000);
  led_hold(0x04, 50000);
  led_hold(0x08, 50000);
  led_hold(0x10, 50000);
  led_hold(0x20, 50000);
  led_hold(0x40, 50000);
  led_hold(0x80, 50000);
  led_off();
}

void led_bounce() {
  led_hold(0x01, 40000);
  led_hold(0x02, 40000);
  led_hold(0x04, 40000);
  led_hold(0x08, 40000);
  led_hold(0x10, 40000);
  led_hold(0x20, 40000);
  led_hold(0x40, 40000);
  led_hold(0x80, 60000);
  led_hold(0x40, 40000);
  led_hold(0x20, 40000);
  led_hold(0x10, 40000);
  led_hold(0x08, 40000);
  led_hold(0x04, 40000);
  led_hold(0x02, 40000);
  led_hold(0x01, 40000);
  led_off();
}
