// Author: kwalsh@holycross.edu

#ifndef MOTOR_H
#define MOTOR_H

#include <sys/alt_stdio.h>
#include <sys/alt_sys_wrappers.h>
#include <altera_avalon_pio_regs.h>
#include <io.h>
#include <system.h>


void stop_all();

int motor_en_dir(unsigned int axis, unsigned int enable, unsigned int direction);
#define motor_on(axis, dir) motor_en_dir(axis, 1, dir)
#define motor_off(axis) motor_en_dir(axis, 0, 0)
int motor_speed(unsigned int axis, unsigned int speed);
int motor_go(unsigned int axis, int velocity);

void motor_demo();
void motor_demo2();

#endif // MOTOR_H
