/// Author: kwalsh@holycross.edu

#ifndef QUAD_H
#define QUAD_H

#include <sys/alt_stdio.h>
#include <sys/alt_sys_wrappers.h>
#include <altera_avalon_pio_regs.h>
#include <io.h>
#include <system.h>

// There are 8 quadrature encoders, one for each axis. The value is an unsigned 32 bit number,
// starting at zero, and wrapping around.

#define quadrature_value(i) ((unsigned int)IORD_ALTERA_AVALON_PIO_DATA(QUAD_BUS_BASE + ((i)*4)))


#endif // QUAD_H
