--IP Functional Simulation Model
--VERSION_BEGIN 13.0 cbx_mgl 2013:06:12:18:04:42:SJ cbx_simgen 2013:06:12:18:03:40:SJ  VERSION_END


-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

 LIBRARY sgate;
 USE sgate.sgate_pack.all;

--synthesis_resources = lut 9 mux21 12 oper_add 1 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  zebra_nios_sopc_cmd_xbar_mux IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 sink0_channel	:	IN  STD_LOGIC_VECTOR (5 DOWNTO 0);
		 sink0_data	:	IN  STD_LOGIC_VECTOR (89 DOWNTO 0);
		 sink0_endofpacket	:	IN  STD_LOGIC;
		 sink0_ready	:	OUT  STD_LOGIC;
		 sink0_startofpacket	:	IN  STD_LOGIC;
		 sink0_valid	:	IN  STD_LOGIC;
		 sink1_channel	:	IN  STD_LOGIC_VECTOR (5 DOWNTO 0);
		 sink1_data	:	IN  STD_LOGIC_VECTOR (89 DOWNTO 0);
		 sink1_endofpacket	:	IN  STD_LOGIC;
		 sink1_ready	:	OUT  STD_LOGIC;
		 sink1_startofpacket	:	IN  STD_LOGIC;
		 sink1_valid	:	IN  STD_LOGIC;
		 src_channel	:	OUT  STD_LOGIC_VECTOR (5 DOWNTO 0);
		 src_data	:	OUT  STD_LOGIC_VECTOR (89 DOWNTO 0);
		 src_endofpacket	:	OUT  STD_LOGIC;
		 src_ready	:	IN  STD_LOGIC;
		 src_startofpacket	:	OUT  STD_LOGIC;
		 src_valid	:	OUT  STD_LOGIC
	 ); 
 END zebra_nios_sopc_cmd_xbar_mux;

 ARCHITECTURE RTL OF zebra_nios_sopc_cmd_xbar_mux IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q	:	STD_LOGIC := '0';
	 SIGNAL  wire_ni_w575w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w582w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w588w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w594w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w600w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w606w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w39w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w100w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w106w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w112w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w118w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w124w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w130w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w136w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w142w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w148w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w154w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w46w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w160w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w166w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w172w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w178w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w184w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w190w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w196w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w202w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w208w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w214w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w52w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w220w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w226w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w232w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w238w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w244w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w250w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w256w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w262w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w268w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w274w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w58w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w280w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w286w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w292w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w298w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w304w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w310w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w316w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w322w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w328w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w334w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w64w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w340w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w346w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w352w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w358w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w364w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w370w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w376w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w383w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w389w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w70w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w395w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w401w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w407w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w413w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w419w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w425w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w431w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w437w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w443w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w449w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w76w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w455w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w461w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w467w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w473w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w479w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w485w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w491w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w497w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w503w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w509w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w82w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w515w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w521w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w527w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w533w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w539w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w545w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w551w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w557w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w563w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w569w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w88w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w94w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w577w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w584w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w590w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w596w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w602w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w608w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w41w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w102w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w108w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w114w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w120w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w126w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w132w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w138w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w144w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w150w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w156w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w48w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w162w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w168w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w174w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w180w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w186w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w192w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w198w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w204w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w210w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w216w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w54w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w222w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w228w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w234w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w240w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w246w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w252w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w258w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w264w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w270w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w276w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w60w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w282w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w288w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w294w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w300w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w306w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w312w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w318w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w324w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w330w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w336w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w66w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w342w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w348w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w354w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w360w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w366w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w372w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w378w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w385w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w391w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w72w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w397w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w403w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w409w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w415w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w421w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w427w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w433w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w439w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w445w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w451w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w78w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w457w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w463w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w469w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w475w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w481w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w487w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w493w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w499w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w505w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w511w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w84w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w517w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w523w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w529w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w535w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w541w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w547w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w553w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w559w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w565w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w571w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w90w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w96w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w575w578w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w582w585w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w588w591w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w594w597w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w600w603w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w606w609w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w39w42w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w100w103w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w106w109w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w112w115w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w118w121w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w124w127w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w130w133w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w136w139w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w142w145w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w148w151w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w154w157w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w46w49w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w160w163w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w166w169w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w172w175w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w178w181w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w184w187w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w190w193w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w196w199w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w202w205w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w208w211w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w214w217w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w52w55w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w220w223w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w226w229w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w232w235w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w238w241w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w244w247w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w250w253w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w256w259w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w262w265w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w268w271w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w274w277w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w58w61w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w280w283w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w286w289w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w292w295w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w298w301w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w304w307w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w310w313w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w316w319w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w322w325w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w328w331w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w334w337w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w64w67w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w340w343w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w346w349w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w352w355w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w358w361w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w364w367w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w370w373w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w376w379w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w383w386w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w389w392w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w70w73w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w395w398w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w401w404w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w407w410w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w413w416w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w419w422w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w425w428w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w431w434w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w437w440w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w443w446w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w449w452w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w76w79w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w455w458w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w461w464w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w467w470w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w473w476w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w479w482w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w485w488w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w491w494w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w497w500w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w503w506w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w509w512w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w82w85w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w515w518w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w521w524w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w527w530w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w533w536w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w539w542w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w545w548w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w551w554w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w557w560w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w563w566w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w569w572w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w88w91w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_ni_w_lg_w94w97w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_locked_0_11q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_locked_1_3q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_21q	:	STD_LOGIC := '0';
	 SIGNAL	zebra_nios_sopc_cmd_xbar_mux_share_count_0_22q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nO_w22w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_658m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_659m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_660m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_661m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_w_lg_dataout21w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_10m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_9m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_17m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_19m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_18m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_20m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_a	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_b	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_o	:	STD_LOGIC_VECTOR (1 DOWNTO 0);
	 SIGNAL  wire_w_lg_w4w5w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w614w623w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w622w630w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w618w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w616w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w625w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w621w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w4w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_reset3w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w614w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w622w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w23w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w6w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w614w617w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w614w615w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w622w624w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w620w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_cout_687_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_0_684_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_1_689_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_0_655_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_1_656_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_wideor0_657_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_last_cycle_8_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_request_0_33_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_request_1_34_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_0_237_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_100_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_198_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_zebra_nios_sopc_cmd_xbar_mux_wideor1_40_dataout :	STD_LOGIC;
	 SIGNAL  wire_w_sink0_channel_range574w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range581w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range587w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range593w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range599w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range605w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range38w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range99w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range105w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range111w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range117w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range123w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range129w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range135w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range141w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range147w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range153w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range45w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range159w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range165w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range171w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range177w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range183w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range189w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range195w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range201w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range207w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range213w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range51w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range219w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range225w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range231w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range237w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range243w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range249w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range255w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range261w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range267w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range273w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range57w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range279w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range285w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range291w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range297w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range303w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range309w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range315w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range321w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range327w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range333w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range63w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range339w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range345w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range351w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range357w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range363w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range369w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range375w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range382w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range388w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range69w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range394w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range400w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range406w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range412w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range418w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range424w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range430w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range436w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range442w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range448w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range75w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range454w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range460w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range466w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range472w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range478w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range484w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range490w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range496w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range502w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range508w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range81w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range514w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range520w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range526w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range532w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range538w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range544w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range550w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range556w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range562w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range568w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range87w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range93w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range576w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range583w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range589w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range595w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range601w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range607w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range40w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range101w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range107w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range113w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range119w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range125w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range131w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range137w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range143w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range149w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range155w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range47w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range161w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range167w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range173w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range179w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range185w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range191w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range197w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range203w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range209w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range215w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range53w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range221w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range227w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range233w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range239w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range245w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range251w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range257w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range263w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range269w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range275w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range59w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range281w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range287w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range293w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range299w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range305w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range311w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range317w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range323w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range329w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range335w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range65w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range341w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range347w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range353w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range359w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range365w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range371w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range377w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range384w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range390w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range71w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range396w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range402w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range408w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range414w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range420w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range426w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range432w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range438w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range444w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range450w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range77w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range456w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range462w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range468w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range474w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range480w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range486w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range492w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range498w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range504w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range510w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range83w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range516w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range522w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range528w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range534w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range540w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range546w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range552w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range558w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range564w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range570w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range89w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range95w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_gnd <= '0';
	wire_w_lg_w4w5w(0) <= wire_w4w(0) AND s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_0_237_dataout;
	wire_w_lg_w614w623w(0) <= wire_w614w(0) AND s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_1_689_dataout;
	wire_w_lg_w622w630w(0) <= wire_w622w(0) AND zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q;
	wire_w618w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_request_0_33_dataout AND wire_w_lg_w614w617w(0);
	wire_w616w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_request_0_33_dataout AND wire_w_lg_w614w615w(0);
	wire_w625w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_request_1_34_dataout AND wire_w_lg_w622w624w(0);
	wire_w621w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_request_1_34_dataout AND wire_w620w(0);
	wire_w4w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_wideor1_40_dataout AND src_ready;
	wire_w_lg_reset3w(0) <= NOT reset;
	wire_w614w(0) <= NOT s_wire_zebra_nios_sopc_cmd_xbar_mux_request_0_33_dataout;
	wire_w622w(0) <= NOT s_wire_zebra_nios_sopc_cmd_xbar_mux_request_1_34_dataout;
	wire_w23w(0) <= NOT s_wire_zebra_nios_sopc_cmd_xbar_mux_wideor1_40_dataout;
	wire_w6w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_100_dataout OR s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_198_dataout;
	wire_w_lg_w614w617w(0) <= wire_w614w(0) XOR s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_1_689_dataout;
	wire_w_lg_w614w615w(0) <= wire_w614w(0) XOR zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q;
	wire_w_lg_w622w624w(0) <= wire_w622w(0) XOR wire_w_lg_w614w623w(0);
	wire_w620w(0) <= s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_0_684_dataout XOR s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_cout_687_dataout;
	s_wire_vcc <= '1';
	s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_cout_687_dataout <= (wire_w622w(0) XOR zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q);
	s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_0_684_dataout <= (wire_w614w(0) AND zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q);
	s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_1_689_dataout <= (wire_w_lg_w622w630w(0) OR (s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_full_adder_cout_0_684_dataout AND s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_altera_merlin_arb_adder_adder_cout_687_dataout));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_0_655_dataout <= (wire_w616w(0) OR wire_w618w(0));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_1_656_dataout <= (wire_w621w(0) OR wire_w625w(0));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_wideor0_657_dataout <= (s_wire_zebra_nios_sopc_cmd_xbar_mux_request_0_33_dataout OR s_wire_zebra_nios_sopc_cmd_xbar_mux_request_1_34_dataout);
	s_wire_zebra_nios_sopc_cmd_xbar_mux_last_cycle_8_dataout <= (wire_w_lg_w4w5w(0) AND (NOT wire_w6w(0)));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_request_0_33_dataout <= (zebra_nios_sopc_cmd_xbar_mux_locked_0_11q OR sink0_valid);
	s_wire_zebra_nios_sopc_cmd_xbar_mux_request_1_34_dataout <= (zebra_nios_sopc_cmd_xbar_mux_locked_1_3q OR sink1_valid);
	s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_0_237_dataout <= ((zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND sink0_endofpacket) OR (zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND sink1_endofpacket));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_100_dataout <= (zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND sink0_data(57));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_198_dataout <= (zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND sink1_data(57));
	s_wire_zebra_nios_sopc_cmd_xbar_mux_wideor1_40_dataout <= ((zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND sink0_valid) OR (zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND sink1_valid));
	sink0_ready <= (zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND src_ready);
	sink1_ready <= (zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND src_ready);
	src_channel <= ( wire_ni_w_lg_w606w609w & wire_ni_w_lg_w600w603w & wire_ni_w_lg_w594w597w & wire_ni_w_lg_w588w591w & wire_ni_w_lg_w582w585w & wire_ni_w_lg_w575w578w);
	src_data <= ( wire_ni_w_lg_w569w572w & wire_ni_w_lg_w563w566w & wire_ni_w_lg_w557w560w & wire_ni_w_lg_w551w554w & wire_ni_w_lg_w545w548w & wire_ni_w_lg_w539w542w & wire_ni_w_lg_w533w536w & wire_ni_w_lg_w527w530w & wire_ni_w_lg_w521w524w & wire_ni_w_lg_w515w518w & wire_ni_w_lg_w509w512w & wire_ni_w_lg_w503w506w & wire_ni_w_lg_w497w500w & wire_ni_w_lg_w491w494w & wire_ni_w_lg_w485w488w & wire_ni_w_lg_w479w482w & wire_ni_w_lg_w473w476w & wire_ni_w_lg_w467w470w & wire_ni_w_lg_w461w464w & wire_ni_w_lg_w455w458w & wire_ni_w_lg_w449w452w & wire_ni_w_lg_w443w446w & wire_ni_w_lg_w437w440w & wire_ni_w_lg_w431w434w & wire_ni_w_lg_w425w428w & wire_ni_w_lg_w419w422w & wire_ni_w_lg_w413w416w & wire_ni_w_lg_w407w410w & wire_ni_w_lg_w401w404w & wire_ni_w_lg_w395w398w & wire_ni_w_lg_w389w392w & wire_ni_w_lg_w383w386w & wire_w6w & wire_ni_w_lg_w376w379w & wire_ni_w_lg_w370w373w & wire_ni_w_lg_w364w367w & wire_ni_w_lg_w358w361w & wire_ni_w_lg_w352w355w & wire_ni_w_lg_w346w349w & wire_ni_w_lg_w340w343w & wire_ni_w_lg_w334w337w & wire_ni_w_lg_w328w331w & wire_ni_w_lg_w322w325w & wire_ni_w_lg_w316w319w & wire_ni_w_lg_w310w313w & wire_ni_w_lg_w304w307w & wire_ni_w_lg_w298w301w & wire_ni_w_lg_w292w295w & wire_ni_w_lg_w286w289w & wire_ni_w_lg_w280w283w & wire_ni_w_lg_w274w277w & wire_ni_w_lg_w268w271w & wire_ni_w_lg_w262w265w & wire_ni_w_lg_w256w259w & wire_ni_w_lg_w250w253w & wire_ni_w_lg_w244w247w & wire_ni_w_lg_w238w241w & wire_ni_w_lg_w232w235w & wire_ni_w_lg_w226w229w & wire_ni_w_lg_w220w223w & wire_ni_w_lg_w214w217w & wire_ni_w_lg_w208w211w & wire_ni_w_lg_w202w205w & wire_ni_w_lg_w196w199w & wire_ni_w_lg_w190w193w & wire_ni_w_lg_w184w187w & wire_ni_w_lg_w178w181w & wire_ni_w_lg_w172w175w & wire_ni_w_lg_w166w169w & wire_ni_w_lg_w160w163w & wire_ni_w_lg_w154w157w & wire_ni_w_lg_w148w151w & wire_ni_w_lg_w142w145w & wire_ni_w_lg_w136w139w & wire_ni_w_lg_w130w133w & wire_ni_w_lg_w124w127w & wire_ni_w_lg_w118w121w & wire_ni_w_lg_w112w115w & wire_ni_w_lg_w106w109w & wire_ni_w_lg_w100w103w & wire_ni_w_lg_w94w97w & wire_ni_w_lg_w88w91w & wire_ni_w_lg_w82w85w
 & wire_ni_w_lg_w76w79w & wire_ni_w_lg_w70w73w & wire_ni_w_lg_w64w67w & wire_ni_w_lg_w58w61w & wire_ni_w_lg_w52w55w & wire_ni_w_lg_w46w49w & wire_ni_w_lg_w39w42w);
	src_endofpacket <= s_wire_zebra_nios_sopc_cmd_xbar_mux_src_payload_0_237_dataout;
	src_startofpacket <= ((zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND sink0_startofpacket) OR (zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND sink1_startofpacket));
	src_valid <= s_wire_zebra_nios_sopc_cmd_xbar_mux_wideor1_40_dataout;
	wire_w_sink0_channel_range574w(0) <= sink0_channel(0);
	wire_w_sink0_channel_range581w(0) <= sink0_channel(1);
	wire_w_sink0_channel_range587w(0) <= sink0_channel(2);
	wire_w_sink0_channel_range593w(0) <= sink0_channel(3);
	wire_w_sink0_channel_range599w(0) <= sink0_channel(4);
	wire_w_sink0_channel_range605w(0) <= sink0_channel(5);
	wire_w_sink0_data_range38w(0) <= sink0_data(0);
	wire_w_sink0_data_range99w(0) <= sink0_data(10);
	wire_w_sink0_data_range105w(0) <= sink0_data(11);
	wire_w_sink0_data_range111w(0) <= sink0_data(12);
	wire_w_sink0_data_range117w(0) <= sink0_data(13);
	wire_w_sink0_data_range123w(0) <= sink0_data(14);
	wire_w_sink0_data_range129w(0) <= sink0_data(15);
	wire_w_sink0_data_range135w(0) <= sink0_data(16);
	wire_w_sink0_data_range141w(0) <= sink0_data(17);
	wire_w_sink0_data_range147w(0) <= sink0_data(18);
	wire_w_sink0_data_range153w(0) <= sink0_data(19);
	wire_w_sink0_data_range45w(0) <= sink0_data(1);
	wire_w_sink0_data_range159w(0) <= sink0_data(20);
	wire_w_sink0_data_range165w(0) <= sink0_data(21);
	wire_w_sink0_data_range171w(0) <= sink0_data(22);
	wire_w_sink0_data_range177w(0) <= sink0_data(23);
	wire_w_sink0_data_range183w(0) <= sink0_data(24);
	wire_w_sink0_data_range189w(0) <= sink0_data(25);
	wire_w_sink0_data_range195w(0) <= sink0_data(26);
	wire_w_sink0_data_range201w(0) <= sink0_data(27);
	wire_w_sink0_data_range207w(0) <= sink0_data(28);
	wire_w_sink0_data_range213w(0) <= sink0_data(29);
	wire_w_sink0_data_range51w(0) <= sink0_data(2);
	wire_w_sink0_data_range219w(0) <= sink0_data(30);
	wire_w_sink0_data_range225w(0) <= sink0_data(31);
	wire_w_sink0_data_range231w(0) <= sink0_data(32);
	wire_w_sink0_data_range237w(0) <= sink0_data(33);
	wire_w_sink0_data_range243w(0) <= sink0_data(34);
	wire_w_sink0_data_range249w(0) <= sink0_data(35);
	wire_w_sink0_data_range255w(0) <= sink0_data(36);
	wire_w_sink0_data_range261w(0) <= sink0_data(37);
	wire_w_sink0_data_range267w(0) <= sink0_data(38);
	wire_w_sink0_data_range273w(0) <= sink0_data(39);
	wire_w_sink0_data_range57w(0) <= sink0_data(3);
	wire_w_sink0_data_range279w(0) <= sink0_data(40);
	wire_w_sink0_data_range285w(0) <= sink0_data(41);
	wire_w_sink0_data_range291w(0) <= sink0_data(42);
	wire_w_sink0_data_range297w(0) <= sink0_data(43);
	wire_w_sink0_data_range303w(0) <= sink0_data(44);
	wire_w_sink0_data_range309w(0) <= sink0_data(45);
	wire_w_sink0_data_range315w(0) <= sink0_data(46);
	wire_w_sink0_data_range321w(0) <= sink0_data(47);
	wire_w_sink0_data_range327w(0) <= sink0_data(48);
	wire_w_sink0_data_range333w(0) <= sink0_data(49);
	wire_w_sink0_data_range63w(0) <= sink0_data(4);
	wire_w_sink0_data_range339w(0) <= sink0_data(50);
	wire_w_sink0_data_range345w(0) <= sink0_data(51);
	wire_w_sink0_data_range351w(0) <= sink0_data(52);
	wire_w_sink0_data_range357w(0) <= sink0_data(53);
	wire_w_sink0_data_range363w(0) <= sink0_data(54);
	wire_w_sink0_data_range369w(0) <= sink0_data(55);
	wire_w_sink0_data_range375w(0) <= sink0_data(56);
	wire_w_sink0_data_range382w(0) <= sink0_data(58);
	wire_w_sink0_data_range388w(0) <= sink0_data(59);
	wire_w_sink0_data_range69w(0) <= sink0_data(5);
	wire_w_sink0_data_range394w(0) <= sink0_data(60);
	wire_w_sink0_data_range400w(0) <= sink0_data(61);
	wire_w_sink0_data_range406w(0) <= sink0_data(62);
	wire_w_sink0_data_range412w(0) <= sink0_data(63);
	wire_w_sink0_data_range418w(0) <= sink0_data(64);
	wire_w_sink0_data_range424w(0) <= sink0_data(65);
	wire_w_sink0_data_range430w(0) <= sink0_data(66);
	wire_w_sink0_data_range436w(0) <= sink0_data(67);
	wire_w_sink0_data_range442w(0) <= sink0_data(68);
	wire_w_sink0_data_range448w(0) <= sink0_data(69);
	wire_w_sink0_data_range75w(0) <= sink0_data(6);
	wire_w_sink0_data_range454w(0) <= sink0_data(70);
	wire_w_sink0_data_range460w(0) <= sink0_data(71);
	wire_w_sink0_data_range466w(0) <= sink0_data(72);
	wire_w_sink0_data_range472w(0) <= sink0_data(73);
	wire_w_sink0_data_range478w(0) <= sink0_data(74);
	wire_w_sink0_data_range484w(0) <= sink0_data(75);
	wire_w_sink0_data_range490w(0) <= sink0_data(76);
	wire_w_sink0_data_range496w(0) <= sink0_data(77);
	wire_w_sink0_data_range502w(0) <= sink0_data(78);
	wire_w_sink0_data_range508w(0) <= sink0_data(79);
	wire_w_sink0_data_range81w(0) <= sink0_data(7);
	wire_w_sink0_data_range514w(0) <= sink0_data(80);
	wire_w_sink0_data_range520w(0) <= sink0_data(81);
	wire_w_sink0_data_range526w(0) <= sink0_data(82);
	wire_w_sink0_data_range532w(0) <= sink0_data(83);
	wire_w_sink0_data_range538w(0) <= sink0_data(84);
	wire_w_sink0_data_range544w(0) <= sink0_data(85);
	wire_w_sink0_data_range550w(0) <= sink0_data(86);
	wire_w_sink0_data_range556w(0) <= sink0_data(87);
	wire_w_sink0_data_range562w(0) <= sink0_data(88);
	wire_w_sink0_data_range568w(0) <= sink0_data(89);
	wire_w_sink0_data_range87w(0) <= sink0_data(8);
	wire_w_sink0_data_range93w(0) <= sink0_data(9);
	wire_w_sink1_channel_range576w(0) <= sink1_channel(0);
	wire_w_sink1_channel_range583w(0) <= sink1_channel(1);
	wire_w_sink1_channel_range589w(0) <= sink1_channel(2);
	wire_w_sink1_channel_range595w(0) <= sink1_channel(3);
	wire_w_sink1_channel_range601w(0) <= sink1_channel(4);
	wire_w_sink1_channel_range607w(0) <= sink1_channel(5);
	wire_w_sink1_data_range40w(0) <= sink1_data(0);
	wire_w_sink1_data_range101w(0) <= sink1_data(10);
	wire_w_sink1_data_range107w(0) <= sink1_data(11);
	wire_w_sink1_data_range113w(0) <= sink1_data(12);
	wire_w_sink1_data_range119w(0) <= sink1_data(13);
	wire_w_sink1_data_range125w(0) <= sink1_data(14);
	wire_w_sink1_data_range131w(0) <= sink1_data(15);
	wire_w_sink1_data_range137w(0) <= sink1_data(16);
	wire_w_sink1_data_range143w(0) <= sink1_data(17);
	wire_w_sink1_data_range149w(0) <= sink1_data(18);
	wire_w_sink1_data_range155w(0) <= sink1_data(19);
	wire_w_sink1_data_range47w(0) <= sink1_data(1);
	wire_w_sink1_data_range161w(0) <= sink1_data(20);
	wire_w_sink1_data_range167w(0) <= sink1_data(21);
	wire_w_sink1_data_range173w(0) <= sink1_data(22);
	wire_w_sink1_data_range179w(0) <= sink1_data(23);
	wire_w_sink1_data_range185w(0) <= sink1_data(24);
	wire_w_sink1_data_range191w(0) <= sink1_data(25);
	wire_w_sink1_data_range197w(0) <= sink1_data(26);
	wire_w_sink1_data_range203w(0) <= sink1_data(27);
	wire_w_sink1_data_range209w(0) <= sink1_data(28);
	wire_w_sink1_data_range215w(0) <= sink1_data(29);
	wire_w_sink1_data_range53w(0) <= sink1_data(2);
	wire_w_sink1_data_range221w(0) <= sink1_data(30);
	wire_w_sink1_data_range227w(0) <= sink1_data(31);
	wire_w_sink1_data_range233w(0) <= sink1_data(32);
	wire_w_sink1_data_range239w(0) <= sink1_data(33);
	wire_w_sink1_data_range245w(0) <= sink1_data(34);
	wire_w_sink1_data_range251w(0) <= sink1_data(35);
	wire_w_sink1_data_range257w(0) <= sink1_data(36);
	wire_w_sink1_data_range263w(0) <= sink1_data(37);
	wire_w_sink1_data_range269w(0) <= sink1_data(38);
	wire_w_sink1_data_range275w(0) <= sink1_data(39);
	wire_w_sink1_data_range59w(0) <= sink1_data(3);
	wire_w_sink1_data_range281w(0) <= sink1_data(40);
	wire_w_sink1_data_range287w(0) <= sink1_data(41);
	wire_w_sink1_data_range293w(0) <= sink1_data(42);
	wire_w_sink1_data_range299w(0) <= sink1_data(43);
	wire_w_sink1_data_range305w(0) <= sink1_data(44);
	wire_w_sink1_data_range311w(0) <= sink1_data(45);
	wire_w_sink1_data_range317w(0) <= sink1_data(46);
	wire_w_sink1_data_range323w(0) <= sink1_data(47);
	wire_w_sink1_data_range329w(0) <= sink1_data(48);
	wire_w_sink1_data_range335w(0) <= sink1_data(49);
	wire_w_sink1_data_range65w(0) <= sink1_data(4);
	wire_w_sink1_data_range341w(0) <= sink1_data(50);
	wire_w_sink1_data_range347w(0) <= sink1_data(51);
	wire_w_sink1_data_range353w(0) <= sink1_data(52);
	wire_w_sink1_data_range359w(0) <= sink1_data(53);
	wire_w_sink1_data_range365w(0) <= sink1_data(54);
	wire_w_sink1_data_range371w(0) <= sink1_data(55);
	wire_w_sink1_data_range377w(0) <= sink1_data(56);
	wire_w_sink1_data_range384w(0) <= sink1_data(58);
	wire_w_sink1_data_range390w(0) <= sink1_data(59);
	wire_w_sink1_data_range71w(0) <= sink1_data(5);
	wire_w_sink1_data_range396w(0) <= sink1_data(60);
	wire_w_sink1_data_range402w(0) <= sink1_data(61);
	wire_w_sink1_data_range408w(0) <= sink1_data(62);
	wire_w_sink1_data_range414w(0) <= sink1_data(63);
	wire_w_sink1_data_range420w(0) <= sink1_data(64);
	wire_w_sink1_data_range426w(0) <= sink1_data(65);
	wire_w_sink1_data_range432w(0) <= sink1_data(66);
	wire_w_sink1_data_range438w(0) <= sink1_data(67);
	wire_w_sink1_data_range444w(0) <= sink1_data(68);
	wire_w_sink1_data_range450w(0) <= sink1_data(69);
	wire_w_sink1_data_range77w(0) <= sink1_data(6);
	wire_w_sink1_data_range456w(0) <= sink1_data(70);
	wire_w_sink1_data_range462w(0) <= sink1_data(71);
	wire_w_sink1_data_range468w(0) <= sink1_data(72);
	wire_w_sink1_data_range474w(0) <= sink1_data(73);
	wire_w_sink1_data_range480w(0) <= sink1_data(74);
	wire_w_sink1_data_range486w(0) <= sink1_data(75);
	wire_w_sink1_data_range492w(0) <= sink1_data(76);
	wire_w_sink1_data_range498w(0) <= sink1_data(77);
	wire_w_sink1_data_range504w(0) <= sink1_data(78);
	wire_w_sink1_data_range510w(0) <= sink1_data(79);
	wire_w_sink1_data_range83w(0) <= sink1_data(7);
	wire_w_sink1_data_range516w(0) <= sink1_data(80);
	wire_w_sink1_data_range522w(0) <= sink1_data(81);
	wire_w_sink1_data_range528w(0) <= sink1_data(82);
	wire_w_sink1_data_range534w(0) <= sink1_data(83);
	wire_w_sink1_data_range540w(0) <= sink1_data(84);
	wire_w_sink1_data_range546w(0) <= sink1_data(85);
	wire_w_sink1_data_range552w(0) <= sink1_data(86);
	wire_w_sink1_data_range558w(0) <= sink1_data(87);
	wire_w_sink1_data_range564w(0) <= sink1_data(88);
	wire_w_sink1_data_range570w(0) <= sink1_data(89);
	wire_w_sink1_data_range89w(0) <= sink1_data(8);
	wire_w_sink1_data_range95w(0) <= sink1_data(9);
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q <= '0';
				zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout = '1') THEN
				zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q <= s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_0_655_dataout;
				zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q <= s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_1_656_dataout;
			END IF;
		END IF;
	END PROCESS;
	wire_ni_w575w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_channel_range574w(0);
	wire_ni_w582w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_channel_range581w(0);
	wire_ni_w588w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_channel_range587w(0);
	wire_ni_w594w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_channel_range593w(0);
	wire_ni_w600w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_channel_range599w(0);
	wire_ni_w606w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_channel_range605w(0);
	wire_ni_w39w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range38w(0);
	wire_ni_w100w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range99w(0);
	wire_ni_w106w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range105w(0);
	wire_ni_w112w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range111w(0);
	wire_ni_w118w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range117w(0);
	wire_ni_w124w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range123w(0);
	wire_ni_w130w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range129w(0);
	wire_ni_w136w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range135w(0);
	wire_ni_w142w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range141w(0);
	wire_ni_w148w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range147w(0);
	wire_ni_w154w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range153w(0);
	wire_ni_w46w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range45w(0);
	wire_ni_w160w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range159w(0);
	wire_ni_w166w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range165w(0);
	wire_ni_w172w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range171w(0);
	wire_ni_w178w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range177w(0);
	wire_ni_w184w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range183w(0);
	wire_ni_w190w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range189w(0);
	wire_ni_w196w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range195w(0);
	wire_ni_w202w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range201w(0);
	wire_ni_w208w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range207w(0);
	wire_ni_w214w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range213w(0);
	wire_ni_w52w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range51w(0);
	wire_ni_w220w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range219w(0);
	wire_ni_w226w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range225w(0);
	wire_ni_w232w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range231w(0);
	wire_ni_w238w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range237w(0);
	wire_ni_w244w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range243w(0);
	wire_ni_w250w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range249w(0);
	wire_ni_w256w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range255w(0);
	wire_ni_w262w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range261w(0);
	wire_ni_w268w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range267w(0);
	wire_ni_w274w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range273w(0);
	wire_ni_w58w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range57w(0);
	wire_ni_w280w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range279w(0);
	wire_ni_w286w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range285w(0);
	wire_ni_w292w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range291w(0);
	wire_ni_w298w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range297w(0);
	wire_ni_w304w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range303w(0);
	wire_ni_w310w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range309w(0);
	wire_ni_w316w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range315w(0);
	wire_ni_w322w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range321w(0);
	wire_ni_w328w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range327w(0);
	wire_ni_w334w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range333w(0);
	wire_ni_w64w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range63w(0);
	wire_ni_w340w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range339w(0);
	wire_ni_w346w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range345w(0);
	wire_ni_w352w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range351w(0);
	wire_ni_w358w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range357w(0);
	wire_ni_w364w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range363w(0);
	wire_ni_w370w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range369w(0);
	wire_ni_w376w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range375w(0);
	wire_ni_w383w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range382w(0);
	wire_ni_w389w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range388w(0);
	wire_ni_w70w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range69w(0);
	wire_ni_w395w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range394w(0);
	wire_ni_w401w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range400w(0);
	wire_ni_w407w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range406w(0);
	wire_ni_w413w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range412w(0);
	wire_ni_w419w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range418w(0);
	wire_ni_w425w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range424w(0);
	wire_ni_w431w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range430w(0);
	wire_ni_w437w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range436w(0);
	wire_ni_w443w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range442w(0);
	wire_ni_w449w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range448w(0);
	wire_ni_w76w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range75w(0);
	wire_ni_w455w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range454w(0);
	wire_ni_w461w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range460w(0);
	wire_ni_w467w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range466w(0);
	wire_ni_w473w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range472w(0);
	wire_ni_w479w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range478w(0);
	wire_ni_w485w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range484w(0);
	wire_ni_w491w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range490w(0);
	wire_ni_w497w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range496w(0);
	wire_ni_w503w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range502w(0);
	wire_ni_w509w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range508w(0);
	wire_ni_w82w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range81w(0);
	wire_ni_w515w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range514w(0);
	wire_ni_w521w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range520w(0);
	wire_ni_w527w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range526w(0);
	wire_ni_w533w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range532w(0);
	wire_ni_w539w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range538w(0);
	wire_ni_w545w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range544w(0);
	wire_ni_w551w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range550w(0);
	wire_ni_w557w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range556w(0);
	wire_ni_w563w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range562w(0);
	wire_ni_w569w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range568w(0);
	wire_ni_w88w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range87w(0);
	wire_ni_w94w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_0_32q AND wire_w_sink0_data_range93w(0);
	wire_ni_w577w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_channel_range576w(0);
	wire_ni_w584w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_channel_range583w(0);
	wire_ni_w590w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_channel_range589w(0);
	wire_ni_w596w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_channel_range595w(0);
	wire_ni_w602w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_channel_range601w(0);
	wire_ni_w608w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_channel_range607w(0);
	wire_ni_w41w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range40w(0);
	wire_ni_w102w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range101w(0);
	wire_ni_w108w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range107w(0);
	wire_ni_w114w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range113w(0);
	wire_ni_w120w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range119w(0);
	wire_ni_w126w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range125w(0);
	wire_ni_w132w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range131w(0);
	wire_ni_w138w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range137w(0);
	wire_ni_w144w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range143w(0);
	wire_ni_w150w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range149w(0);
	wire_ni_w156w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range155w(0);
	wire_ni_w48w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range47w(0);
	wire_ni_w162w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range161w(0);
	wire_ni_w168w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range167w(0);
	wire_ni_w174w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range173w(0);
	wire_ni_w180w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range179w(0);
	wire_ni_w186w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range185w(0);
	wire_ni_w192w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range191w(0);
	wire_ni_w198w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range197w(0);
	wire_ni_w204w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range203w(0);
	wire_ni_w210w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range209w(0);
	wire_ni_w216w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range215w(0);
	wire_ni_w54w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range53w(0);
	wire_ni_w222w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range221w(0);
	wire_ni_w228w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range227w(0);
	wire_ni_w234w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range233w(0);
	wire_ni_w240w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range239w(0);
	wire_ni_w246w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range245w(0);
	wire_ni_w252w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range251w(0);
	wire_ni_w258w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range257w(0);
	wire_ni_w264w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range263w(0);
	wire_ni_w270w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range269w(0);
	wire_ni_w276w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range275w(0);
	wire_ni_w60w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range59w(0);
	wire_ni_w282w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range281w(0);
	wire_ni_w288w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range287w(0);
	wire_ni_w294w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range293w(0);
	wire_ni_w300w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range299w(0);
	wire_ni_w306w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range305w(0);
	wire_ni_w312w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range311w(0);
	wire_ni_w318w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range317w(0);
	wire_ni_w324w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range323w(0);
	wire_ni_w330w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range329w(0);
	wire_ni_w336w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range335w(0);
	wire_ni_w66w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range65w(0);
	wire_ni_w342w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range341w(0);
	wire_ni_w348w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range347w(0);
	wire_ni_w354w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range353w(0);
	wire_ni_w360w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range359w(0);
	wire_ni_w366w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range365w(0);
	wire_ni_w372w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range371w(0);
	wire_ni_w378w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range377w(0);
	wire_ni_w385w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range384w(0);
	wire_ni_w391w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range390w(0);
	wire_ni_w72w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range71w(0);
	wire_ni_w397w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range396w(0);
	wire_ni_w403w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range402w(0);
	wire_ni_w409w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range408w(0);
	wire_ni_w415w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range414w(0);
	wire_ni_w421w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range420w(0);
	wire_ni_w427w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range426w(0);
	wire_ni_w433w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range432w(0);
	wire_ni_w439w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range438w(0);
	wire_ni_w445w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range444w(0);
	wire_ni_w451w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range450w(0);
	wire_ni_w78w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range77w(0);
	wire_ni_w457w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range456w(0);
	wire_ni_w463w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range462w(0);
	wire_ni_w469w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range468w(0);
	wire_ni_w475w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range474w(0);
	wire_ni_w481w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range480w(0);
	wire_ni_w487w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range486w(0);
	wire_ni_w493w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range492w(0);
	wire_ni_w499w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range498w(0);
	wire_ni_w505w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range504w(0);
	wire_ni_w511w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range510w(0);
	wire_ni_w84w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range83w(0);
	wire_ni_w517w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range516w(0);
	wire_ni_w523w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range522w(0);
	wire_ni_w529w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range528w(0);
	wire_ni_w535w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range534w(0);
	wire_ni_w541w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range540w(0);
	wire_ni_w547w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range546w(0);
	wire_ni_w553w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range552w(0);
	wire_ni_w559w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range558w(0);
	wire_ni_w565w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range564w(0);
	wire_ni_w571w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range570w(0);
	wire_ni_w90w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range89w(0);
	wire_ni_w96w(0) <= zebra_nios_sopc_cmd_xbar_mux_saved_grant_1_31q AND wire_w_sink1_data_range95w(0);
	wire_ni_w_lg_w575w578w(0) <= wire_ni_w575w(0) OR wire_ni_w577w(0);
	wire_ni_w_lg_w582w585w(0) <= wire_ni_w582w(0) OR wire_ni_w584w(0);
	wire_ni_w_lg_w588w591w(0) <= wire_ni_w588w(0) OR wire_ni_w590w(0);
	wire_ni_w_lg_w594w597w(0) <= wire_ni_w594w(0) OR wire_ni_w596w(0);
	wire_ni_w_lg_w600w603w(0) <= wire_ni_w600w(0) OR wire_ni_w602w(0);
	wire_ni_w_lg_w606w609w(0) <= wire_ni_w606w(0) OR wire_ni_w608w(0);
	wire_ni_w_lg_w39w42w(0) <= wire_ni_w39w(0) OR wire_ni_w41w(0);
	wire_ni_w_lg_w100w103w(0) <= wire_ni_w100w(0) OR wire_ni_w102w(0);
	wire_ni_w_lg_w106w109w(0) <= wire_ni_w106w(0) OR wire_ni_w108w(0);
	wire_ni_w_lg_w112w115w(0) <= wire_ni_w112w(0) OR wire_ni_w114w(0);
	wire_ni_w_lg_w118w121w(0) <= wire_ni_w118w(0) OR wire_ni_w120w(0);
	wire_ni_w_lg_w124w127w(0) <= wire_ni_w124w(0) OR wire_ni_w126w(0);
	wire_ni_w_lg_w130w133w(0) <= wire_ni_w130w(0) OR wire_ni_w132w(0);
	wire_ni_w_lg_w136w139w(0) <= wire_ni_w136w(0) OR wire_ni_w138w(0);
	wire_ni_w_lg_w142w145w(0) <= wire_ni_w142w(0) OR wire_ni_w144w(0);
	wire_ni_w_lg_w148w151w(0) <= wire_ni_w148w(0) OR wire_ni_w150w(0);
	wire_ni_w_lg_w154w157w(0) <= wire_ni_w154w(0) OR wire_ni_w156w(0);
	wire_ni_w_lg_w46w49w(0) <= wire_ni_w46w(0) OR wire_ni_w48w(0);
	wire_ni_w_lg_w160w163w(0) <= wire_ni_w160w(0) OR wire_ni_w162w(0);
	wire_ni_w_lg_w166w169w(0) <= wire_ni_w166w(0) OR wire_ni_w168w(0);
	wire_ni_w_lg_w172w175w(0) <= wire_ni_w172w(0) OR wire_ni_w174w(0);
	wire_ni_w_lg_w178w181w(0) <= wire_ni_w178w(0) OR wire_ni_w180w(0);
	wire_ni_w_lg_w184w187w(0) <= wire_ni_w184w(0) OR wire_ni_w186w(0);
	wire_ni_w_lg_w190w193w(0) <= wire_ni_w190w(0) OR wire_ni_w192w(0);
	wire_ni_w_lg_w196w199w(0) <= wire_ni_w196w(0) OR wire_ni_w198w(0);
	wire_ni_w_lg_w202w205w(0) <= wire_ni_w202w(0) OR wire_ni_w204w(0);
	wire_ni_w_lg_w208w211w(0) <= wire_ni_w208w(0) OR wire_ni_w210w(0);
	wire_ni_w_lg_w214w217w(0) <= wire_ni_w214w(0) OR wire_ni_w216w(0);
	wire_ni_w_lg_w52w55w(0) <= wire_ni_w52w(0) OR wire_ni_w54w(0);
	wire_ni_w_lg_w220w223w(0) <= wire_ni_w220w(0) OR wire_ni_w222w(0);
	wire_ni_w_lg_w226w229w(0) <= wire_ni_w226w(0) OR wire_ni_w228w(0);
	wire_ni_w_lg_w232w235w(0) <= wire_ni_w232w(0) OR wire_ni_w234w(0);
	wire_ni_w_lg_w238w241w(0) <= wire_ni_w238w(0) OR wire_ni_w240w(0);
	wire_ni_w_lg_w244w247w(0) <= wire_ni_w244w(0) OR wire_ni_w246w(0);
	wire_ni_w_lg_w250w253w(0) <= wire_ni_w250w(0) OR wire_ni_w252w(0);
	wire_ni_w_lg_w256w259w(0) <= wire_ni_w256w(0) OR wire_ni_w258w(0);
	wire_ni_w_lg_w262w265w(0) <= wire_ni_w262w(0) OR wire_ni_w264w(0);
	wire_ni_w_lg_w268w271w(0) <= wire_ni_w268w(0) OR wire_ni_w270w(0);
	wire_ni_w_lg_w274w277w(0) <= wire_ni_w274w(0) OR wire_ni_w276w(0);
	wire_ni_w_lg_w58w61w(0) <= wire_ni_w58w(0) OR wire_ni_w60w(0);
	wire_ni_w_lg_w280w283w(0) <= wire_ni_w280w(0) OR wire_ni_w282w(0);
	wire_ni_w_lg_w286w289w(0) <= wire_ni_w286w(0) OR wire_ni_w288w(0);
	wire_ni_w_lg_w292w295w(0) <= wire_ni_w292w(0) OR wire_ni_w294w(0);
	wire_ni_w_lg_w298w301w(0) <= wire_ni_w298w(0) OR wire_ni_w300w(0);
	wire_ni_w_lg_w304w307w(0) <= wire_ni_w304w(0) OR wire_ni_w306w(0);
	wire_ni_w_lg_w310w313w(0) <= wire_ni_w310w(0) OR wire_ni_w312w(0);
	wire_ni_w_lg_w316w319w(0) <= wire_ni_w316w(0) OR wire_ni_w318w(0);
	wire_ni_w_lg_w322w325w(0) <= wire_ni_w322w(0) OR wire_ni_w324w(0);
	wire_ni_w_lg_w328w331w(0) <= wire_ni_w328w(0) OR wire_ni_w330w(0);
	wire_ni_w_lg_w334w337w(0) <= wire_ni_w334w(0) OR wire_ni_w336w(0);
	wire_ni_w_lg_w64w67w(0) <= wire_ni_w64w(0) OR wire_ni_w66w(0);
	wire_ni_w_lg_w340w343w(0) <= wire_ni_w340w(0) OR wire_ni_w342w(0);
	wire_ni_w_lg_w346w349w(0) <= wire_ni_w346w(0) OR wire_ni_w348w(0);
	wire_ni_w_lg_w352w355w(0) <= wire_ni_w352w(0) OR wire_ni_w354w(0);
	wire_ni_w_lg_w358w361w(0) <= wire_ni_w358w(0) OR wire_ni_w360w(0);
	wire_ni_w_lg_w364w367w(0) <= wire_ni_w364w(0) OR wire_ni_w366w(0);
	wire_ni_w_lg_w370w373w(0) <= wire_ni_w370w(0) OR wire_ni_w372w(0);
	wire_ni_w_lg_w376w379w(0) <= wire_ni_w376w(0) OR wire_ni_w378w(0);
	wire_ni_w_lg_w383w386w(0) <= wire_ni_w383w(0) OR wire_ni_w385w(0);
	wire_ni_w_lg_w389w392w(0) <= wire_ni_w389w(0) OR wire_ni_w391w(0);
	wire_ni_w_lg_w70w73w(0) <= wire_ni_w70w(0) OR wire_ni_w72w(0);
	wire_ni_w_lg_w395w398w(0) <= wire_ni_w395w(0) OR wire_ni_w397w(0);
	wire_ni_w_lg_w401w404w(0) <= wire_ni_w401w(0) OR wire_ni_w403w(0);
	wire_ni_w_lg_w407w410w(0) <= wire_ni_w407w(0) OR wire_ni_w409w(0);
	wire_ni_w_lg_w413w416w(0) <= wire_ni_w413w(0) OR wire_ni_w415w(0);
	wire_ni_w_lg_w419w422w(0) <= wire_ni_w419w(0) OR wire_ni_w421w(0);
	wire_ni_w_lg_w425w428w(0) <= wire_ni_w425w(0) OR wire_ni_w427w(0);
	wire_ni_w_lg_w431w434w(0) <= wire_ni_w431w(0) OR wire_ni_w433w(0);
	wire_ni_w_lg_w437w440w(0) <= wire_ni_w437w(0) OR wire_ni_w439w(0);
	wire_ni_w_lg_w443w446w(0) <= wire_ni_w443w(0) OR wire_ni_w445w(0);
	wire_ni_w_lg_w449w452w(0) <= wire_ni_w449w(0) OR wire_ni_w451w(0);
	wire_ni_w_lg_w76w79w(0) <= wire_ni_w76w(0) OR wire_ni_w78w(0);
	wire_ni_w_lg_w455w458w(0) <= wire_ni_w455w(0) OR wire_ni_w457w(0);
	wire_ni_w_lg_w461w464w(0) <= wire_ni_w461w(0) OR wire_ni_w463w(0);
	wire_ni_w_lg_w467w470w(0) <= wire_ni_w467w(0) OR wire_ni_w469w(0);
	wire_ni_w_lg_w473w476w(0) <= wire_ni_w473w(0) OR wire_ni_w475w(0);
	wire_ni_w_lg_w479w482w(0) <= wire_ni_w479w(0) OR wire_ni_w481w(0);
	wire_ni_w_lg_w485w488w(0) <= wire_ni_w485w(0) OR wire_ni_w487w(0);
	wire_ni_w_lg_w491w494w(0) <= wire_ni_w491w(0) OR wire_ni_w493w(0);
	wire_ni_w_lg_w497w500w(0) <= wire_ni_w497w(0) OR wire_ni_w499w(0);
	wire_ni_w_lg_w503w506w(0) <= wire_ni_w503w(0) OR wire_ni_w505w(0);
	wire_ni_w_lg_w509w512w(0) <= wire_ni_w509w(0) OR wire_ni_w511w(0);
	wire_ni_w_lg_w82w85w(0) <= wire_ni_w82w(0) OR wire_ni_w84w(0);
	wire_ni_w_lg_w515w518w(0) <= wire_ni_w515w(0) OR wire_ni_w517w(0);
	wire_ni_w_lg_w521w524w(0) <= wire_ni_w521w(0) OR wire_ni_w523w(0);
	wire_ni_w_lg_w527w530w(0) <= wire_ni_w527w(0) OR wire_ni_w529w(0);
	wire_ni_w_lg_w533w536w(0) <= wire_ni_w533w(0) OR wire_ni_w535w(0);
	wire_ni_w_lg_w539w542w(0) <= wire_ni_w539w(0) OR wire_ni_w541w(0);
	wire_ni_w_lg_w545w548w(0) <= wire_ni_w545w(0) OR wire_ni_w547w(0);
	wire_ni_w_lg_w551w554w(0) <= wire_ni_w551w(0) OR wire_ni_w553w(0);
	wire_ni_w_lg_w557w560w(0) <= wire_ni_w557w(0) OR wire_ni_w559w(0);
	wire_ni_w_lg_w563w566w(0) <= wire_ni_w563w(0) OR wire_ni_w565w(0);
	wire_ni_w_lg_w569w572w(0) <= wire_ni_w569w(0) OR wire_ni_w571w(0);
	wire_ni_w_lg_w88w91w(0) <= wire_ni_w88w(0) OR wire_ni_w90w(0);
	wire_ni_w_lg_w94w97w(0) <= wire_ni_w94w(0) OR wire_ni_w96w(0);
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q <= '1';
				zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q <= '1';
		ELSIF (clk = '1' AND clk'event) THEN
				zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q <= wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_661m_dataout;
				zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q <= wire_zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_20m_dataout;
		END IF;
		if (now = 0 ns) then
			zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q <= '1' after 1 ps;
		end if;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q <= '0';
				zebra_nios_sopc_cmd_xbar_mux_locked_0_11q <= '0';
				zebra_nios_sopc_cmd_xbar_mux_locked_1_3q <= '0';
				zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_21q <= '0';
				zebra_nios_sopc_cmd_xbar_mux_share_count_0_22q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
				zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q <= wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_660m_dataout;
				zebra_nios_sopc_cmd_xbar_mux_locked_0_11q <= (sink0_data(57) AND s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_0_655_dataout);
				zebra_nios_sopc_cmd_xbar_mux_locked_1_3q <= (sink1_data(57) AND s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_1_656_dataout);
				zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_21q <= wire_zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_10m_dataout;
				zebra_nios_sopc_cmd_xbar_mux_share_count_0_22q <= wire_zebra_nios_sopc_cmd_xbar_mux_share_count_19m_dataout;
		END IF;
	END PROCESS;
	wire_nO_w22w(0) <= NOT zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_21q;
	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_658m_dataout <= s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_0_655_dataout WHEN s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_wideor0_657_dataout = '1'  ELSE zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q;
	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_659m_dataout <= s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_grant_1_656_dataout WHEN s_wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_wideor0_657_dataout = '1'  ELSE zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q;
	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_660m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_658m_dataout WHEN wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout = '1'  ELSE zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_1_663q;
	wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_661m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_659m_dataout WHEN wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout = '1'  ELSE zebra_nios_sopc_cmd_xbar_mux_altera_merlin_arbitrator_arb_top_priority_reg_0_664q;
	wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_o(1) AND NOT(zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q);
	wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_w_lg_dataout21w(0) <= NOT wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_dataout;
	wire_zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_10m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_9m_dataout AND NOT(s_wire_zebra_nios_sopc_cmd_xbar_mux_last_cycle_8_dataout);
	wire_zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_9m_dataout <= zebra_nios_sopc_cmd_xbar_mux_packet_in_progress_21q OR s_wire_zebra_nios_sopc_cmd_xbar_mux_wideor1_40_dataout;
	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_17m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_dataout WHEN s_wire_zebra_nios_sopc_cmd_xbar_mux_last_cycle_8_dataout = '1'  ELSE zebra_nios_sopc_cmd_xbar_mux_share_count_0_22q;
	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_19m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_share_count_17m_dataout AND NOT(wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout);
	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_18m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_p1_share_count_0_14m_w_lg_dataout21w(0) WHEN s_wire_zebra_nios_sopc_cmd_xbar_mux_last_cycle_8_dataout = '1'  ELSE zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q;
	wire_zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_20m_dataout <= wire_zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_18m_dataout OR wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout;
	wire_zebra_nios_sopc_cmd_xbar_mux_update_grant_27m_dataout <= (wire_nO_w22w(0) AND wire_w23w(0)) OR (s_wire_zebra_nios_sopc_cmd_xbar_mux_last_cycle_8_dataout AND zebra_nios_sopc_cmd_xbar_mux_share_count_zero_flag_30q);
	wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_a <= ( zebra_nios_sopc_cmd_xbar_mux_share_count_0_22q & "1");
	wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_b <= ( "0" & "1");
	zebra_nios_sopc_cmd_xbar_mux_add0_13 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 2,
		width_b => 2,
		width_o => 2
	  )
	  PORT MAP ( 
		a => wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_a,
		b => wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_b,
		cin => wire_gnd,
		o => wire_zebra_nios_sopc_cmd_xbar_mux_add0_13_o
	  );

 END RTL; --zebra_nios_sopc_cmd_xbar_mux
--synopsys translate_on
--VALID FILE
